%define	module	Data-DumpXML
%define	name	perl-%{module}
%define	version	1.06
%define	release	%mkrel 3

Summary:	Dump arbitrary perl data structures as XML
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group: 		Development/Perl
Source0: 	http://www.cpan.org/authors/id/GAAS/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel perl-Array-RefElem perl-MIME-Base64 perl-XML-Parser
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://search.cpan.org/dist/%{module}/
Requires: 	perl-Array-RefElem >= 0.02
BuildArch:	noarch

%description
Dump arbitrary perl data structures as XML.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
make

%check
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorlib}/Data



%changelog

* Mon Aug 28 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-28 15:14:59 (58463)
- mkrel

* Mon Aug 28 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-28 15:09:58 (58457)
Import perl-Data-DumpXML

* Wed Jun 15 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.06-2mdk
- Rebuild, add tests, spec fixes

* Wed Apr 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.06-1mdk
- 1.06

